#ifndef MAILCONFIGDB_H
#define MAILCONFIGDB_H
#include <QNetworkAccessManager>
#include "MailConfig.h"
namespace Dekko
{

class MailConfigFromAutoconfig : public QObject{
    Q_OBJECT
public:
    MailConfigFromAutoconfig();
    ~MailConfigFromAutoconfig();
    void setUrl(QString url);
signals:
    void complete(MailConfig * config);
    void failed();

public slots:
    void config();
    void requestFinished(QNetworkReply * reply);

private:
    QString m_url;
    QNetworkAccessManager * m_nam;
    MailConfig * m_config;
};

}
#endif
