/* Copyright (C) 2014 Boren Zhang <bobo1993324@gmail.com>

   This file is part of Dekko email client for Ubuntu Devices/

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License or (at your option) version 3

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SECTIONTYPE_H
#define SECTIONTYPE_H
#include <QObject>


namespace Dekko
{

namespace PartWidget {

class SectionType : public QObject
{
    Q_OBJECT
    Q_ENUMS(Type)

public:
    explicit SectionType(QObject *parent = 0);
    enum Type {
        PLAIN_TEXT,
        HTML,
        ATTACHMENT
    };
};

}
}
#endif // REPLYMODE_H
